<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>net9.0</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
  </PropertyGroup>



  <Target Name="CopyToProjectWwwRoot" AfterTargets="BuildViteApp">
    <ItemGroup>
      <ViteDistFiles Include="..\my-vite-app\dist\**\*.*" />
    </ItemGroup>
    <Copy SourceFiles="@(ViteDistFiles)" DestinationFolder="wwwroot\%(RecursiveDir)" />
  </Target>

  <!-- <Target Name="CopyViteFiles" AfterTargets="Build">
     <ItemGroup>
      <ViteDistFiles Include="..\my-vite-app\dist\**\*.*" />
    </ItemGroup>
    <Copy SourceFiles="@(ViteDistFiles)" DestinationFolder="$(OutDir)wwwroot\%(RecursiveDir)" SkipUnchangedFiles="true" />
  </Target> -->
  <!-- <ItemGroup>
    <Content Include="..\my-vite-app\dist\**" LinkBase="wwwroot" CopyToOutputDirectory="PreserveNewest" />
  </ItemGroup> -->
</Project>
